#include<bits/stdc++.h>
using namespace std;
int main(){
long long a,b,k;
cin>>a>>b>>k;
long long skokove=0;
long long sega=a;
while(sega<b){
    if((sega+2)%k==0){
        sega++;
        skokove++;
    }else{
        sega=sega+2;
        skokove++;
    }
}
cout<<skokove<<endl;
return 0;
}
